<?php

declare(strict_types=1);

namespace PHPMax\Api\Messages;

use PHPMax\Support\Model;

class PinMessagePayload extends Model
{
     
    public $chatId;
     
    public $notifyPin;
     
    public $pinMessageId;

    protected static function schema(): array
    {
        return [
            'chatId' => ['type' => 'int', 'required' => true],
            'notifyPin' => ['type' => 'bool', 'required' => true],
            'pinMessageId' => ['type' => 'int', 'required' => true],
        ];
    }
}
